// $Id: TG4UICmdWithAComplexString.h,v 1.5 2007/05/31 10:24:32 brun Exp $

//------------------------------------------------
// The Geant4 Virtual Monte Carlo package
// Copyright (C) 2007, Ivana Hrivnacova
// All rights reserved.
//
// For the licensing terms see geant4_vmc/LICENSE.
// Contact: vmc@pcroot.cern.ch
//-------------------------------------------------

/// \ingroup global
/// \class TG4UICmdWithAComplexString
/// \brief G4 command that takes up to three string values.
/// 
/// Concrete class of G4UIcommand. 
/// The command defined by this class takes up to three string values.
/// General information of G4UIcommand is given in G4UIcommand.hh.
///
/// \author I. Hrivnacova; IPN, Orsay

#ifndef TG4_UI_CMD_WITH_A_COMPLEX_STRING_H
#define TG4_UI_CMD_WITH_A_COMPLEX_STRING_H

#include <G4UIcommand.hh>

class TG4UICmdWithAComplexString : public G4UIcommand
{
  public:
    TG4UICmdWithAComplexString(G4String commandPath, G4UImessenger* messenger);
    virtual ~TG4UICmdWithAComplexString();                               

    // set methods
    void SetParameterName(G4String name, G4bool omittable);
    void SetDefaultValue(G4String defVal);

    // get methods
    G4String GetNewStringValue(G4String paramString);
};

#endif //TG4_UI_CMD_WITH_A_COMPLEX_STRING_H
